## gnome-settings-daemon 3.28.1

=== meson_options.txt ===
option('nssdb_dir', type: 'string', value: '', description: 'Absolute path to the system NSS database directory')
option('udev_dir', type: 'string', value: '', description: 'Absolute path of the udev base directory')

option('alsa', type: 'boolean', value: true, description: 'build with ALSA support (not optional on Linux platforms)')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support (not optional on Linux platforms)')
option('cups', type: 'boolean', value: true, description: 'build with CUPS support')
option('network_manager', type: 'boolean', value: true, description: 'build with NetworkManager support (not optional on Linux platforms)')
option('rfkill', type: 'boolean', value: true, description: 'build with rfkill support (not optional on Linux platforms)')
option('smartcard', type: 'boolean', value: true, description: 'build with smartcard support')
option('wayland', type: 'boolean', value: true, description: 'build with Wayland support')

## gnome-settings-daemon 2.30.2

=== debian/changelog ===
gnome-settings-daemon (2.30.2-2+squeeze1) stable; urgency=low

  * 11_retry-startup.patch: when starting the Xsettings manager, try 
    again several times because there is a race condition on the X side.
    Closes: #614682.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Apr 2011 12:29:30 +0200

gnome-settings-daemon (2.30.2-2) unstable; urgency=low

  * 13_monitor_kfreebsd.patch: new patch. Don’t monitor fdescfs.
    Closes: #594891.
  * 10_clipboard_crash.patch: stolen from upstream git. Fixes a crash in 
    the clipboard manager. Closes: #588308.

 -- Josselin Mouette <joss@debian.org>  Wed, 20 Oct 2010 01:29:10 +0200

gnome-settings-daemon (2.30.2-1) unstable; urgency=low

  * New upstream stable release.
  * Switch to source format 3.0 (quilt).
    - Add debian/source/format.
    - Drop Build-Depends on quilt.
    - Remove /usr/share/cdbs/1/rules/patchsys-quilt.mk from debian/rules.
  * Refresh patches for new upstream release.
  * debian/control.in
    - Drop Build-Depends on dpkg-dev (>= 1.13.19) as even oldstable has a more
      recent version.
    - Add Vcs-Browser and Vcs-Svn fields.
    - Bump Standards-Version to 3.9.0.
    - Use Breaks as recommended by the new policy.

 -- Michael Biebl <biebl@debian.org>  Fri, 23 Jul 2010 01:34:51 +0200

gnome-settings-daemon (2.30.1-1) unstable; urgency=low

  * New upstream release.
  * Bump build-dependencies.
  * 11_sleepkey.patch, 40_xklavier_5.0.patch: dropped, obsolete.
  * 20_gstreamer.patch, 30_pkgconfig-path.patch, 70_relibtoolize.patch: 
    updated for the new version.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Apr 2010 20:00:27 +0200

gnome-settings-daemon (2.28.1-3) unstable; urgency=low

  * Depend on libgnome2-common for the GConf schemas.
  * 40_xklavier_5.0.patch: new patch. Get 2.28 version to work with 
    libxklavier 5.0.
  * Require said version to build.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 00:17:00 +0200

gnome-settings-daemon (2.28.1-2) unstable; urgency=low

  * Drop libxxf86misc-dev build-dependency. This extension is only used 
    as a fallback to XKB. Closes: #559690.
  * 12_monitor_network_fs.patch: new patch. Don’t monitor remote 
    filesystems for their free size. Closes: #563592.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Jan 2010 10:59:14 +0100

gnome-settings-daemon (2.28.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/70_relibtoolize.patch:
      + Updated.
  * debian/rules: remove check-dist.mk to upload to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Thu, 22 Oct 2009 06:08:36 +0200

gnome-settings-daemon (2.28.0-1) experimental; urgency=low

  * Add a watch file.
  * Add a manpage for gnome-settings-daemon, thanks Joshua Cummings!
    Closes: #494370.
  * debian/control.in: remove trailing whitespaces.
  * Standards-Version is 3.8.2, no changes needed.
  * New upstream release.
    - debian/control.in:
      + Bump libgtk2.0-dev and libgnome-desktop-dev build dependencies.
      + Remove libglade2-dev build dependency, no longer needed.
      + Build depend on libxklavier-dev >= 4.0 instead of libxklavier12-dev.
      + Break gnome-screensaver << 2.28 since g-s-d doesn't start it anymore,
        relaying on the autostart file in g-s 2.28.
    - debian/patches/20_gstreamer.patch,
      debian/patches/70_relibtoolize.patch:
      + Updated to apply again.
    - debian/gnome-settings-daemon.install:
      + Install *.ui rather than *.glade.
      + Don't install *.png, the icon is not shipped anymore.
  * Standards-Version is 3.8.3, no changes needed.
  * debian/rules:
    - Don't touch every file anymore, it was done because of a broken tarball.
    - Include check-dist.mk to avoid uploads to unstable.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 09 Oct 2009 17:26:43 +0200

gnome-settings-daemon (2.26.1-2) unstable; urgency=low

  * 03_maintainer_mode.patch: new patch, add AM_MAINTAINER_MODE. Fixes 
    FTBFS.
  * Regenerate 70_relibtoolize.patch.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 16:19:52 +0200

gnome-settings-daemon (2.26.1-1) unstable; urgency=low

  * New upstream release.
    + 20_gstreamer.patch: install the plugin although pulse is disabled. 
    + Refresh 70_relibtoolize.patch.
  * Move the autostart file to /usr/share/gnome/autostart.
  * gnome-settings-daemon.postinst:
    + Remove the old autostart file if needed.
    + Only remove the xrdb stuff upon upgrades from pre-2.24.1.

 -- Josselin Mouette <joss@debian.org>  Fri, 29 May 2009 11:25:35 +0200

gnome-settings-daemon (2.26.0-2) experimental; urgency=low

  * 20_gstreamer.patch: Initialize Gerror * variables to NULL before
    usage. Fixes a crasher when using media keys (Closes: #524165)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 18 Apr 2009 11:00:25 +0100

gnome-settings-daemon (2.26.0-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.
  * Install the autostart file and the keybindings XML file.
    + Break gnome-session < 2.24 which would attempt to start it twice 
      with the autostart file.
  * 11_sleepkey.patch: updated for the new version.
  * 20_gstreamer.patch: new patch from Romain Périer, adds back support 
    for GStreamer with a selection at compile time.
  * 70_relibtoolize.patch: regenerated.
  * Refresh other patches.
  * Pass --disable-pulse to configure, to use the GStreamer code 
    instead.

 -- Josselin Mouette <joss@debian.org>  Sat, 11 Apr 2009 11:31:52 +0200

gnome-settings-daemon (2.24.1-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Improve package descriptions. Mention XSETTINGS. Closes: #511905.
  * Upload to unstable.

  [ Loic Minier ]
  * Suggest x11-xserver-utils as gnome-settings-daemon attempts to run xrdb by
    default and logs a warning when that fails.
  * Suggest gnome-screensaver as gnome-settings-daemon attempts to start it by
    default and logs a warning when that fails.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Emilio Pozuelo Monfort <pochu@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: cdbs,
               debhelper (>= 5),
               autotools-dev,
               intltool (>= 0.37.1),
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.17.3),
               libgtk2.0-dev (>= 2.16.0),
               libgconf2-dev (>= 2.6.1),
               libgnome-desktop-dev (>= 2.29.92),
               libnotify-dev (>= 0.4.3),
               libxt-dev,
               libxi-dev,
               libxrandr-dev,
               libxrender-dev,
               libfontconfig1-dev,
               libxext-dev,
               libx11-dev,
               libgnomekbd-dev (>= 2.29.5),
               libxklavier-dev (>= 5.0),
               libgstreamer0.10-dev (>= 0.10.1.2),
               libgstreamer-plugins-base0.10-dev (>= 0.10.1.2),
               gnome-pkg-tools
Standards-Version: 3.9.0
Vcs-Browser: http://svn.debian.org/wsvn/pkg-gnome/desktop/unstable/gnome-settings-daemon/
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/desktop/unstable/gnome-settings-daemon/

Package: gnome-settings-daemon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgnome2-common
Replaces: capplets-data (<< 1:2.21.5),
          gnome-control-center (<< 1:2.21.5)
Breaks: rhythmbox (<< 0.11.5),
        banshee (<< 0.13.2+dfsg-7),
        totem (<< 2.22.0),
        gnome-control-center (<< 1:2.21.5),
        gnome-session (<< 2.24),
        gnome-screensaver (<< 2.28.0)
Suggests: x11-xserver-utils,
          gnome-screensaver,
          metacity | x-window-manager
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbus-glib-1-dev (>= 0.74),
         libglib2.0-dev (>= 2.17.3)
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--warn-unresolved-symbols -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act

DEB_CONFIGURE_EXTRA_FLAGS += --disable-pulse

binary-install/gnome-settings-daemon::
	find debian -name '*.a' -delete
	find debian -name '*.la' -delete

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-settings-daemon/([\d\.]+)[02468]/ \
gnome-settings-daemon-([\d\.]+)\.tar\.gz

## gnome-settings-daemon 3.0.3

=== debian/changelog ===
gnome-settings-daemon (3.0.3-3) unstable; urgency=low

  * debian/patches/03_deal_with_absence_of_gnome-session.patch:
    - Deal with absence of gnome-session gracefully and don't crash if
      gnome-session is not running. Patch cherry-picked from upstream Git.
      Closes: #645429
  * Remove obsolete conffiles in /etc/gnome/config on upgrades.
    Closes: #645443

 -- Michael Biebl <biebl@debian.org>  Mon, 17 Oct 2011 18:07:27 +0200

gnome-settings-daemon (3.0.3-2) unstable; urgency=low

  * debian/control.in:
    - Make libgudev-1.0-dev linux-any.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 16:14:37 +0200

gnome-settings-daemon (3.0.3-1) unstable; urgency=low

  [ Jean Schurger ]
  * New upstream release.
  * Removed 01_numlock.patch (b-g-o #631989 is fixed)
  * Added 01_medias_keys_dont_go_up_to_11.patch
  * Added 02_missing_format.patch
  * debian/control.in
    - Standards-Version is 3.9.2, no changes needed.
    - Added dependencied to enable the update plugin (packagekit)
    - Bumped pulseaudio dependency according to the volume patch

  [ Josselin Mouette ]
  * Move g-s-d-dev to libdevel. Closes: #640125.

  [ Jordi Mallach ]
  * Update Vcs-* fields to new URLs.

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/watch:
    - Switch to version 3.
    - Track .xz tarballs.
  * Bump debhelper compatibility level to 8.
    - Update Build-Depends on debhelper.
    - Strip debian/tmp/ from .install files.

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 13:17:13 +0200

gnome-settings-daemon (3.0.2-1) experimental; urgency=low

  [ Guido Günther ]
  * Bump build-dependency on libgnome-desktop-3-dev (Closes: #622689)

  [ Josselin Mouette ]
  * Break gdm3 < version with GSettings support.
  * New upstream release.
  * 01_numlock.patch: new patch. Work around the lack of support for 
    per-host NumLock status by providing at least a global setting. It 
    can turn wrong in multi-host environments, but it’s better than 
    nothing in the general case.

 -- Josselin Mouette <joss@debian.org>  Sat, 04 Jun 2011 18:33:11 +0200

gnome-settings-daemon (3.0.0.1-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Mon, 28 Mar 2011 11:37:24 +0530

gnome-settings-daemon (2.91.93-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Sun, 27 Mar 2011 19:15:59 +0530

gnome-settings-daemon (2.91.92-1) experimental; urgency=low

  * New upstream release.

 -- Frederic Peters <fpeters@debian.org>  Wed, 23 Mar 2011 19:24:48 +0100

gnome-settings-daemon (2.91.91-1) experimental; urgency=low

  [Frederic Peters]
  * New upstream release.

  [Emilio Pozuelo Monfort]
  * debian/control.in:
    + Re-add build dependency on libxklavier-dev, since configure.ac
      actually requires it.

 -- Frederic Peters <fpeters@debian.org>  Tue, 08 Mar 2011 19:17:09 +0100

gnome-settings-daemon (2.91.90-2) experimental; urgency=low

  * debian/control.in:
    * Add build-dep on recent libgnomekbd-dev
    * Remove direct build-depend on libxklavier-dev, libgnomekbd-dev will pull
      in the right version

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 26 Feb 2011 21:26:07 +0000

gnome-settings-daemon (2.91.90-1) experimental; urgency=low

  * New upstream release.
    - gnome-settings-daemon.install: keybindings for accessibility tools
      have been moved to the gnome-control-center module.

 -- Frederic Peters <fpeters@debian.org>  Tue, 22 Feb 2011 22:49:26 +0100

gnome-settings-daemon (2.91.9-1) experimental; urgency=low

  [ Sebastien Bacher ]
  * debian/gnome-settings-daemon.install:
    - install the polkit files there
  * debian/control.in:
    - build-depends on libpolkit-gobject-1-dev
    - drop the build-depends on libxrandr-dev and libxrender-dev, the 
      configure doesn't use those in the new version
    - recommends pulseaudio since it's used for the multimedia keys
    (Close: #611198)

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_missing_libs.patch:
    + Removed. This was fixed upstream in a different way a long time
      ago. The patch was also disabled on 2.91.5.1-1 without any bad
      consequences.
  * New upstream release.
    + d/patches/0001-Ensure-the-volume-doesn-t-underflow-and-wrap-around.patch,
      d/patches/13_monitor_kfreebsd.patch:
      - Removed, fixed upstream.
    + debian/control.in:
      - Updated build dependencies.
      - Update the gtk+ 3 build dependency for the new package name.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 14:28:40 +0000

gnome-settings-daemon (2.91.8-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * Enable pulseaudio support
  * Enable the settings d-conf <-> gconf bridge
  * d/p/0001-Ensure-the-volume-doesn-t-underflow-and-wrap-around.patch
    + Added. Fix a bug where it was possible to lower the volume below zero,
      causing it to wrap-around to MAXUINT.

  [ Emilio Pozuelo Monfort ]
  * New upstream release.
    + debian/control.in:
      - Update build dependencies.
  * debian/rules:
    - Remove duplicated list-missing target and utils.mk include.
    - Include autoreconf.mk before debhelper.mk to not leave cruft when
      running clean.
  * debian/control.in:
    - Standards-Version is 3.9.1, no changes needed.
    - Drop old Replaces.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 22:48:04 +0000

gnome-settings-daemon (2.91.5.1-2) experimental; urgency=low

  * Make the nautilus-data depend versioned

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 12 Dec 2010 14:32:07 +0000

gnome-settings-daemon (2.91.5.1-1) experimental; urgency=low

  * New upstream release
  * debian/control.in: Update build-depends to gnome 3.0 versions
  * debian/patches/01_xrdb.patch
    - Removed. g-s-d no longer manages xrdb
  * debian/patches/03_maintainer_mode.patch
    - Removed. Fixed upstream
  * debian/patches/10_clipboard_crash.patch
    - Removed. Fixed upstream.


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-settings-daemon
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs,
               debhelper (>= 8),
               gnome-pkg-tools,
               dh-autoreconf,
               autotools-dev,
               intltool (>= 0.37.1),
               libdbus-glib-1-dev (>= 0.74),
               libglib2.0-dev (>= 2.26.0),
               libgtk-3-dev (>= 3.0.0),
               libgconf2-dev (>= 2.6.1),
               libnotify-dev (>= 0.7.0),
               libxt-dev,
               libxi-dev,
               libfontconfig1-dev,
               libxext-dev,
               libx11-dev,
               libgnomekbd-dev (>= 2.91.90),
               libxklavier-dev (>= 5.0),
               libgstreamer0.10-dev (>= 0.10.1.2),
               libgstreamer-plugins-base0.10-dev (>= 0.10.1.2),
               gsettings-desktop-schemas-dev,
               libgnome-desktop-3-dev (>= 2.91.93),
               libpulse-dev (>= 0.9.23),
               libcanberra-gtk3-dev,
               libcups2-dev,
               libpolkit-gobject-1-dev,
               libpackagekit-glib2-dev (>= 0.6.4),
               libupower-glib-dev (>= 0.9.1),
               libgudev-1.0-dev [linux-any]
Standards-Version: 3.9.2
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-settings-daemon/
Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-settings-daemon/

Package: gnome-settings-daemon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgnome2-common,
         gsettings-desktop-schemas,
         nautilus-data (>= 2.91.3-1)
Recommends: pulseaudio
Breaks: rhythmbox (<< 0.11.5),
        banshee (<< 0.13.2+dfsg-7),
        totem (<< 2.22.0),
        gnome-control-center (<< 1:2.21.5),
        gnome-session (<< 2.24),
        gnome-screensaver (<< 2.28.0),
        gdm3 (<< 3.0)
Suggests: x11-xserver-utils,
          gnome-screensaver,
          metacity | x-window-manager
Description: daemon handling the GNOME session settings
 This package contains the daemon which is responsible for setting the
 various parameters of a GNOME session and the applications that run
 under it. It handles the following kinds of settings:
 .
  * Keyboard: layout, accessibility options, shortcuts, media keys
  * Clipboard management
  * Theming: background, icons, GTK+ applications
  * Cleanup of unused files
  * Mouse: cursors, speed, accessibility options
  * Startup of other daemons: screensaver, sound daemon
  * Typing break
 .
 It also sets various application settings through X resources and
 freedesktop.org XSETTINGS.

Package: gnome-settings-daemon-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libdbus-glib-1-dev (>= 0.74),
         libglib2.0-dev (>= 2.26.0)
Description: Headers for building applications communicating with gnome-settings-daemon
 This package contains header files required to build applications that
 communicate with the GNOME settings daemon over D-Bus.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

LDFLAGS += -Wl,-O1 -Wl,-z,defs -Wl,--warn-unresolved-symbols -Wl,--as-needed

DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
DEB_CONFIGURE_EXTRA_FLAGS = --enable-pulse --enable-gconf-bridge

binary-install/gnome-settings-daemon::
	find debian -name '*.a' -delete
	find debian -name '*.la' -delete

common-binary-post-install-arch:: list-missing

## gnome-settings-daemon 3.2.0

=== debian/changelog ===
gnome-settings-daemon (3.2.0-0ubuntu5) oneiric; urgency=low

  [ Rodrigo Moya ]
  * debian/patches/00git_avoid_undesired_sleeps.patch:
    - Avoid sleeping the computer when disabled (LP: #864479) and ditto for
      the display (LP: #863038)

  [ Marc Deslauriers ]
  * debian/patches/51_always_lock_screen_on_suspend.patch:
    - always lock the screen when suspending or hibernating, even if
      automatic screen lock is disabled. (LP: #847814)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 03 Oct 2011 17:23:23 -0400

gnome-settings-daemon (3.2.0-0ubuntu4) oneiric; urgency=low

  * debian/patches/00git_dont_sleep_on_idle_by_default.patch:
    - Don't sleep on idle by default (LP: #860485)
  * debian/patches/00git_dont_revert_pre_idle_brigthness.patch:
    - Do not revert to the pre-idle brightness if idle dimming is disabled
  * debian/patches/50_add_dell_backlight.patch:
    - Add 'dell_backlight' module to gsd-backlight-helper (LP: #862474)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 29 Sep 2011 16:47:57 +0200

gnome-settings-daemon (3.2.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/00git_fix_async_dbus_crash.patch:
    - Fix async DBus calls crashes (LP: #832603)
  * debian/patches/49_fix_suspend_media_key.patch:
    - Rebased

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 28 Sep 2011 17:14:53 +0200

gnome-settings-daemon (3.2.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/49_fix_suspend_media_key.patch: Fix screen locking when
    suspending via a media key. (LP: #859498)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 27 Sep 2011 11:34:03 -0400

gnome-settings-daemon (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/00git_dont_restore_brightness.patch:
    - Don't restore brightness if it's never been set
  * debian/patches/00git_fix_reference_leaks.patch:
    - Fix 2 small reference leaks

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 26 Sep 2011 17:57:20 +0200

gnome-settings-daemon (3.1.92-0ubuntu3) oneiric; urgency=low

  * Fix LP: #854101 - various startup time improvements:
  * debian/patches/46_share_rr_screen.patch:
    - Share a single GnomeRRScreen across plugins, rather than having the
      xrandr, color and power plugins each create their own, which results
      in 3 reprobes before running the main loop. Thanks to Rodrigo Moya for
      tidying this up a bit.
  * debian/patches/47_delay_pa_connect_to_idle.patch:
    - Don't connect to pulseaudio until we are running the main loop. Starting
      pulseaudio seems to block for around a second here on my machine
  * debian/patches/48_register_client_before_idle_callbacks.patch:
    - Create the GDBusProxy for gnome-session synchronously, and then schedule
      the RegisterClient call with a higher priority. This ensures that we
      register with the session manager as soon as we start the main loop, and
      before running any other idle callbacks

  * debian/patches/16_use_synchronous_notifications.patch:
    - Make the volume notifications work correctly again

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 22 Sep 2011 15:44:40 +0100

gnome-settings-daemon (3.1.92-0ubuntu2) oneiric; urgency=low

  * debian/patches/45_suppress-printer-may-not-be-connected-notification.patch:
    Do not show notifications if the printer state reason "connecting-to-device"
    is reported by CUPS. The text of this state reason notificatioon is the
    misleading "Printer XXX may not be connected" and the reason is set in
    every print job (usually only for a short time but enough to trigger the
    notifier). As we are after UI freeze we simply suppress this notification
    with this patch (do not forward upstream). The real fix would be improving
    the text, like really saying "Connecting to printer XXX ..." (LP: #842768).

 -- Till Kamppeter <till.kamppeter@gmail.com>  Thu, 15 Sep 2011 18:34:24 +0200

gnome-settings-daemon (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control:
    - Bump libcolord-dev build dependency
  * debian/patches/00git_guard_against_division_by_0.patch:
  * debian/patches/00git_dont_crash_if_session_not_ready.patch:
  * debian/patches/00git_numlock_status.patch:
  * debian/patches/00git_disconnect_callbacks.patch:
    - Remove upstream patches
  * debian/patches/06_use_application_indicator.patch:
  * debian/patches/16_use_synchronous_notifications.patch:
    - Rebased

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Mon, 19 Sep 2011 17:05:48 +0200

gnome-settings-daemon (3.1.91-0ubuntu5) oneiric; urgency=low

  * debian/patches/00git_disconnect_callbacks.patch:
    - Disconnect callbacks when cleaning up (LP: #837373)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 13 Sep 2011 11:00:41 +0200

gnome-settings-daemon (3.1.91-0ubuntu4) oneiric; urgency=low

  * debian/patches/00git_numlock_status.patch:
    - git backport, store the numlock status and apply it (lp: #841748)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 09 Sep 2011 15:16:09 +0200

gnome-settings-daemon (3.1.91-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - Build depend on libgnome-desktop3-dev >= 3.1.5, which is what upstream
      asks for
  * debian/patches/00git_guard_against_division_by_0.patch:
    - Guard against dividing by 0 in ABS_TO_PERCENTAGE macro (LP: #833595)
  * debian/patches/00git_dont_crash_if_session_not_ready.patch:
    - Don't crash if we try to calculate the idle state before connected to
      the session (LP: #836014)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Wed, 07 Sep 2011 12:07:45 +0200

gnome-settings-daemon (3.1.91-0ubuntu2) oneiric; urgency=low

  * Fix the volume OSD patch so that the volume level is displayed correctly
    again
    - update debian/patches/16_use_synchronous_notifications.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Mon, 05 Sep 2011 17:40:06 +0100

gnome-settings-daemon (3.1.91-0ubuntu1) oneiric; urgency=low

  * New upstream release


=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Frederic Peters <fpeters@debian.org>, Josselin Mouette <joss@debian.org>, Michael Biebl <biebl@debian.org>, Sjoerd Simons <sjoerd@debian.org>
+Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Build-Depends: cdbs,
-               debhelper (>= 8),
+               debhelper (>= 5),
                gnome-pkg-tools,
                dh-autoreconf,
                autotools-dev,
@@ -29,23 +30,23 @@
                libgstreamer0.10-dev (>= 0.10.1.2),
                libgstreamer-plugins-base0.10-dev (>= 0.10.1.2),
                gsettings-desktop-schemas-dev,
-               libgnome-desktop-3-dev (>= 2.91.93),
-               libpulse-dev (>= 0.9.23),
+               libgnome-desktop-3-dev (>= 3.1.5),
+               libpulse-dev (>= 0.9.16),
                libcanberra-gtk3-dev,
                libcups2-dev,
                libpolkit-gobject-1-dev,
-               libpackagekit-glib2-dev (>= 0.6.4),
-               libupower-glib-dev (>= 0.9.1),
-               libgudev-1.0-dev [linux-any]
-Standards-Version: 3.9.2
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-gnome/desktop/unstable/gnome-settings-daemon/
-Vcs-Svn: svn://anonscm.debian.org/svn/pkg-gnome/desktop/unstable/gnome-settings-daemon/
+               libappindicator3-dev (>= 0.3.0),
+               hwdata,
+               libupower-glib-dev,
+               libcolord-dev (>= 0.1.12),
+               liblcms2-dev
+Standards-Version: 3.9.1
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-settings-daemon/ubuntu
 
 Package: gnome-settings-daemon
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libgnome2-common,
          gsettings-desktop-schemas,
          nautilus-data (>= 2.91.3-1)
 Recommends: pulseaudio
@@ -55,7 +56,7 @@
         gnome-control-center (<< 1:2.21.5),
         gnome-session (<< 2.24),
         gnome-screensaver (<< 2.28.0),
-        gdm3 (<< 3.0)
+        gnome-color-manager (<< 3.0)
 Suggests: x11-xserver-utils,
           gnome-screensaver,
           metacity | x-window-manager
@@ -76,7 +77,6 @@
  freedesktop.org XSETTINGS.
 
 Package: gnome-settings-daemon-dev
-Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},

## gnome-settings-daemon 3.2.2

=== debian/changelog ===
gnome-settings-daemon (3.2.2-0ubuntu2.3) oneiric-proposed; urgency=low

  * debian/patches/52_kill_syndaemon_when_gsd_die.patch:
    - Ensure that a spawned syndaemon gets killed when settings-daemon exists
      due to a crash, a keyboard interrupt, etc. This avoids having multiple
      syndaemons run at the same time, which can lead to the trackpad be
      unexpected disabled. (LP: #868400)

 -- Hsin-Yi Chen (hychen) <hychen@ubuntu.com>  Thu, 09 Aug 2012 14:28:59 +0800

gnome-settings-daemon (3.2.2-0ubuntu2.2) oneiric-proposed; urgency=low

  [ Hsin-Yi, Chen (hychen) ]
  * debian/patches/git_xrandr_explicitly_set_clone_state.patch:
    - "xrandr; explicitly set clone state variable when generating monitor 
       configs" (LP: #1014533)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 18 Jun 2012 12:32:40 +0200

gnome-settings-daemon (3.2.2-0ubuntu2.1) oneiric-proposed; urgency=low

  * 42_onlyshowin_unity.patch: the gnome-shell session is called "gnome", use
    the correct name so nautilus doesn't open in shell sessions (lp: #892989)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 02 Dec 2011 12:12:29 +0100

gnome-settings-daemon (3.2.2-0ubuntu2) oneiric-proposed; urgency=low

  * debian/patches/07_hide_status_icon_on_unity.patch:
    - Never show the power status icon when running Unity (LP: #833397)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 15 Nov 2011 11:12:54 +0100

gnome-settings-daemon (3.2.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #888526)
  * debian/patches/00git_remove_assertions.patch:
  * debian/patches/git_correct_suspend_bus.patch:
    - Remove upstreamed patches
  * debian/patches/16_use_synchronous_notifications.patch:
  * debian/patches/45_suppress-printer-may-not-be-connected-notification.patch:
    - Rebased

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Thu, 10 Nov 2011 12:15:05 +0100

gnome-settings-daemon (3.2.1-0ubuntu3) oneiric-proposed; urgency=low

  * debian/patches/00git_remove_assertions.patch:
    - git patch to remove assertions that shouldn't be there (LP: #878486)

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 25 Oct 2011 12:52:39 +0200

gnome-settings-daemon (3.2.1-0ubuntu2) oneiric-proposed; urgency=low

  [ Didier Roche ]
  * debian/patches/16_use_synchronous_notifications.patch:
    - make our patch using the new icon name (LP: #877058)

  [ Sebastien Bacher ]
  * debian/patches/git_correct_suspend_bus.patch:
    - git patch to fix a suspend regression in the new version (lp: #878076)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 19 Oct 2011 17:25:16 +0200

gnome-settings-daemon (3.2.1-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #877326)
  * debian/patches/00git_dont_restore_brightness.patch:
  * debian/patches/00git_fix_reference_leaks.patch:
  * debian/patches/00git_fix_async_dbus_crash.patch:
  * debian/patches/00git_dont_sleep_on_idle_by_default.patch:
  * debian/patches/00git_dont_revert_pre_idle_brigthness.patch:
  * debian/patches/00git_avoid_undesired_sleeps.patch:
  * debian/patches/49_fix_suspend_media_key.patch:
    - Remove upstreamed patches
  * debian/patches/16_use_synchronous_notifications.patch:
    - Rebased

 -- Rodrigo Moya <rodrigo.moya@canonical.com>  Tue, 18 Oct 2011 11:29:23 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,18 @@
 DEB_DH_MAKESHLIBS_ARGS_ALL += --no-act
 DEB_CONFIGURE_EXTRA_FLAGS = --enable-pulse --enable-gconf-bridge
 
+build/gnome-settings-daemon::
+	gcc -o gnome-settings-daemon/gnome-update-wallpaper-cache debian/gnome-update-wallpaper-cache.c `pkg-config --cflags --libs glib-2.0 gdk-3.0 gdk-x11-3.0 gio-2.0 gnome-desktop-3.0`
+
+install/gnome-settings-daemon::
+	/usr/bin/install -c gnome-settings-daemon/gnome-update-wallpaper-cache 'debian/tmp/usr/lib/gnome-settings-daemon'
+
 binary-install/gnome-settings-daemon::
 	find debian -name '*.a' -delete
 	find debian -name '*.la' -delete
 
 common-binary-post-install-arch:: list-missing
+
+clean::
+	rm -f gnome-settings-daemon/gnome-update-wallpaper-cache
+

=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gnome-settings-daemon/([0-9.]+)/ \
gnome-settings-daemon-([\d\.]+)\.tar\.bz2

## gnome-settings-daemon 3.4.1

=== debian/changelog ===
gnome-settings-daemon (3.4.1-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Fix applying settings to touchpads
    - Fix possible crashes when exiting
    - Don't put touchscreens in relative mode, just touch tablets
      (such as the Bamboo Touch)
    - Use PrinterAddOption method to set media size
    - Updated translations
  * Drop patches which are upstream now:
    - disconnect_from_up_client.patch
    - git_device_setting.patch
    - wacom-keep-touchscreen-absolute.patch

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 16 Apr 2012 15:55:26 +0200

gnome-settings-daemon (3.4.0-0ubuntu7) precise; urgency=low

  * Fix LP: #917598 - Battery critical notification using fallback alert
    - add debian/patches/power-no-fallback-notifications.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 12 Apr 2012 11:43:36 +0100

gnome-settings-daemon (3.4.0-0ubuntu6) precise; urgency=low

  * debian/patches/wacom-keep-touchscreen-absolute.patch:
    - Don't set touchscreens to relative mode (LP: #949097)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 11 Apr 2012 17:05:04 +0300

gnome-settings-daemon (3.4.0-0ubuntu5) precise; urgency=low

  * debian/patches/git_device_setting.patch:
    - "fix applying settings to newly added touchpads" (lp: #973784)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Apr 2012 22:47:06 +0200

gnome-settings-daemon (3.4.0-0ubuntu4) precise; urgency=low

  * debian/patches/disconnect_from_up_client.patch:
    - Disconnect any signals from a UpClient object before we unref it.
      UpClients are ref-counted singletons and may stay around after
      unref, so we have to be explicit.  LP: #965487

 -- Michael Terry <mterry@ubuntu.com>  Mon, 09 Apr 2012 12:45:13 -0400

gnome-settings-daemon (3.4.0-0ubuntu3) precise; urgency=low

  * debian/patches/correct_logout_action.patch:
    - display the logout action on ctrl-alt-del (lp: #961501)
  * debian/patches/60_unity_hide_status_icon.patch:
    - don't show the power status icon under classic either (lp: #965279)
  * debian/patches/git_keyring_environment.patch:
    - "Get the environment from gnome-keyring When launching 
       custom applications." (lp: #839444)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Apr 2012 17:28:40 +0200

gnome-settings-daemon (3.4.0-0ubuntu2) precise; urgency=low

  * debian/patches/10_smaller_syndaemon_timeout.patch:
    - don't change delay, use -t option to block the clicks (lp: #962958)
  * debian/patches/61_unity_use_application_indicator.patch:
    - small tweaks to be consistant with other indicators, 
      change the order and label from the two bottom items (lp: #964178)
  * debian/patches/bugzilla_segfault_dpms.patch:
    - upstream fix for a segfault (lp: #956824)
    
  [ Iain Lane ]
  * debian/patches/16_use_synchronous_notifications.patch: Fix invalid cast
    causing segfault when using keyboard backlight keys. (LP: #959874)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Mar 2012 21:43:49 +0200

gnome-settings-daemon (3.4.0-0ubuntu1) precise-proposed; urgency=low

  * New upstream release:
    - Wacom:
      Check if the "last-stylus" property has been set
    - updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 27 Mar 2012 10:50:10 +0200

gnome-settings-daemon (3.3.92-0ubuntu2) precise; urgency=low

  * 51_lock_screen_on_suspend.patch: when closing the lid, only lock the
    screen at this step if we're not going to suspend or hibernate.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 20 Mar 2012 08:39:38 -0400

gnome-settings-daemon (3.3.92-0ubuntu1) precise; urgency=low

  [ Sebastien Bacher ]
  * New upstream version, should fix
    - "Option to "Lock screen afer screen turns off" is ignored"
      (lp: #959184)
    - "color-plugin-WARNING **: failed to get edid: unable to get 
       EDID for output" (lp: #863359)
  * Dropped patches included in the new version
  * Refreshed the other patches

  [ Marc Deslauriers ]
    - 51_lock_screen_on_suspend.patch: refreshed for 3.3.92.

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Mar 2012 18:57:50 +0100

gnome-settings-daemon (3.3.91-0ubuntu6) precise; urgency=low

  * debian/patches/61_unity_use_application_indicator.patch:
    - update to fix issues where the keyboard indicator would not update
      or reflect the correct layout when changing layout with the keyboard, 
      thanks Charles Kerr (lp: #885730)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 16 Mar 2012 11:10:43 +0100

gnome-settings-daemon (3.3.91-0ubuntu5) precise; urgency=low

  * debian/patches/52_sync_background_to_accountsservice.patch:
    - don't trigger a warning when using a solid color (lp: #954590)
  * debian/patches/90_set_gmenus_xsettings.patch:
    - update from Ryan Lortie to handle correctly new shell sessions

  [ Gunnar Hjalmarsson ]
  * debian/patches/43_disable_locale_settings.patch:
    Description updated.

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 15 Mar 2012 19:15:43 +0100

gnome-settings-daemon (3.3.91-0ubuntu4) precise; urgency=low

  * Add 01_fix_multiple_syndaemons.patch: Ensure that a spawned syndaemon gets
    killed when settings-daemon exists due to a crash, a keyboard interrupt,
    etc. This avoids having multiple syndaemons run at the same time, which
    can lead to the trackpad malfunctioning. (LP: #868400)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 14 Mar 2012 11:22:21 +0100

gnome-settings-daemon (3.3.91-0ubuntu3) precise; urgency=low

  * debian/control.in:
    - updated gsettings-desktop-schemas requirement for the lock key
  * debian/patches/61_unity_use_application_indicator.patch:
    - updated indicators ids, combined with the libappindicator new version
      that should give the correct wm_class to the fallback gtkstatusicon
      which should fix some gnome-shell issues (lp: #878951)
    - use set_icon_full() with "Keyboard" as a11y description (lp: #740726)

  [ Marc Deslauriers ]


=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
+
 Source: gnome-settings-daemon
 Section: gnome
 Priority: optional
@@ -15,8 +16,8 @@
                autotools-dev,
                intltool (>= 0.37.1),
                libdbus-glib-1-dev (>= 0.74),
-               libglib2.0-dev (>= 2.26.0),
-               libgtk-3-dev (>= 3.0.0),
+               libglib2.0-dev (>= 2.31.0),
+               libgtk-3-dev (>= 3.3.4),
                libgconf2-dev (>= 2.6.1),
                libnotify-dev (>= 0.7.0),
                libxt-dev,
@@ -24,21 +25,26 @@
                libfontconfig1-dev,
                libxext-dev,
                libx11-dev,
+               libxtst-dev,
                libgnomekbd-dev (>= 2.91.90),
                libxklavier-dev (>= 5.0),
                libgstreamer0.10-dev (>= 0.10.1.2),
                libgstreamer-plugins-base0.10-dev (>= 0.10.1.2),
-               gsettings-desktop-schemas-dev,
-               libgnome-desktop-3-dev (>= 3.1.5),
+               gsettings-desktop-schemas-dev (>= 3.3.90-0ubuntu2),
+               libgnome-desktop-3-dev (>= 3.3.4),
                libpulse-dev (>= 0.9.16),
                libcanberra-gtk3-dev,
                libcups2-dev,
                libpolkit-gobject-1-dev,
-               libappindicator3-dev (>= 0.3.0),
+               libappindicator3-dev (>= 0.4.90),
                hwdata,
-               libupower-glib-dev,
+               libupower-glib-dev (>= 0.9.11),
                libcolord-dev (>= 0.1.12),
-               liblcms2-dev
+               liblcms2-dev,
+               libnss3-dev,
+               libgudev-1.0-dev,
+               libwacom-dev (>= 0.3),
+               xserver-xorg-input-wacom
 Standards-Version: 3.9.1
 Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/gnome-settings-daemon/ubuntu
 
@@ -46,7 +52,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         gsettings-desktop-schemas,
+         gsettings-desktop-schemas (>= 3.3.90-0ubuntu2),
          nautilus-data (>= 2.91.3-1)
 Recommends: pulseaudio
 Breaks: rhythmbox (<< 0.11.5),
@@ -55,7 +61,8 @@
         gnome-control-center (<< 1:2.21.5),
         gnome-session (<< 2.24),
         gnome-screensaver (<< 2.28.0),
-        gnome-color-manager (<< 3.0)
+        gnome-color-manager (<< 3.0),
+        unity-greeter (<< 0.2.1-0ubuntu1)
 Suggests: x11-xserver-utils,
           gnome-screensaver,
           metacity | x-window-manager
